---
title: "Retrieve call transcripts of calls"
slug: "retrieve-transcripts-of-calls-by-date-or-callids-v2callstranscript-2"
updated: 2025-11-17T08:10:53Z
published: 2025-11-17T08:12:09Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://help.gong.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve transcripts of calls (/v2/calls/transcript)

Post/v2/calls/transcript

Returns transcripts for calls that took place during the specified date period. If call IDs are specified, only transcripts for calls with those IDs that took place during the time period are returned.

Required authorizaton scope: 'api:calls:read:transcript'.

Body parameters<select class='api-response-data' aria-label='Media type'><option value='0b0e2273-329b-4251-a323-e7153250fd9b'>application/json</option>
</select>Expand Allobject  cursorstring    

When paging is needed, provide the value supplied by the previous API call to bring the following page of records.

ExampleeyJhbGciOiJIUzI1NiJ9.eyJjYWxsSWQiM1M30.6qKwpOcvnuweTZmFRzYdtjs_YwJphJU4QIwWFM
filterobject (CallsFilter)  Required

Filter parameters.

fromDateTimestring    

Date and time (in ISO-8601 format: '2018-02-18T02:30:00-07:00' or '2018-02-18T08:00:00Z', where Z stands for UTC) from which to list recorded calls. Returns calls that started on or after the specified date and time. If not provided, list starts with earliest call. The date applies to call start time.

Example2018-02-17T02:30:00-08:00
toDateTimestring    

Date and time (in ISO-8601 format: '2018-02-18T02:30:00-07:00' or '2018-02-18T08:00:00Z', where Z stands for UTC) until which to list recorded calls. Returns calls that started up to but excluding specified date and time. If not provided, list ends with most recent call. The date applies to call start time.

Example2018-02-19T02:30:00-08:00
workspaceIdstring    

Optional Workspace identifier, if supplied the API will return only the calls belonging to this workspace.

Example623457276584334
callIds Array of string   

List of calls Ids to be filtered. If not supplied, returns all calls between fromDateTime and toDateTime.

Example[
  "7782342274025937895"
]string    

Responses200

Successful response

<select class='api-response-data' aria-label='Media type'><option value='afa45922-e985-4bd1-99b8-2d4dd2d15a7b'>application/json</option>
</select>Expand Allobject  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
recordsobject (Records)  

Information about the number of records that match the requested filter.

totalRecordsinteger  (int32)    

Total number of records.

Example263
currentPageSizeinteger  (int32)    

Number of records in the current page.

Example100
currentPageNumberinteger  (int32)    

Current page number.

Example0
cursorstring    

Returned only when there are more records to be retrieved. Repeat the API call and pass this cursor value in the request to retrieve the next page of records.

ExampleeyJhbGciOiJIUzI1NiJ9.eyJjYWxsSWQiM1M30.6qKwpOcvnuweTZmFRzYdtjs_YwJphJU4QIwWFM

callTranscripts Array of object (CallTranscript)   

A list with one entry per call.

object  

A list with one entry per call.

callIdstring    

Gong's unique numeric identifier for the call (up to 20 digits).

Example7782342274025937895
transcript Array of object (Monologue)   

List of monologues.

object  

List of monologues.

speakerIdstring    

Unique ID of the speaker. Cross-reference this with the 'speakerId' field of objects in the 'parties' array returned from endpoint '/v2/calls/extensive' to identify the participant.

Example6432345678555530067
topicstring    

The name of the topic.

ExampleObjections
sentences Array of object (Sentence)   

A list of sentences spoken in the monologue.

object  

A list of sentences spoken in the monologue.

startinteger  (int64)    

The starting time of the sentence, in milliseconds from the start of the call.

Example460230
endinteger  (int64)    

The end time of the sentence, in milliseconds from the start of the call.

Example462343
textstring    

The sentence.

ExampleNo wait, I think we should check that out first.

400

Malformed request

<select class='api-response-data' aria-label='Media type'><option value='058fba03-d690-43df-af37-ac539938ce9e'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

401

Access denied

<select class='api-response-data' aria-label='Media type'><option value='a6be93ed-e0b7-4a92-aae6-ef202d947852'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

404

No calls found for the specified period

<select class='api-response-data' aria-label='Media type'><option value='79c4a4c7-e412-441b-b887-c5a1fa4af809'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

429

API request limit exceeded

HeadersRetry-AfterintegerNumber of seconds to wait before making a new request.
<select class='api-response-data' aria-label='Media type'><option value='91375e35-a29e-4fdc-aeca-b876b91f3d81'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string    

500

Failed to complete the operation due to an unexpected error

<select class='api-response-data' aria-label='Media type'><option value='6bac752f-fcb2-454f-b6cb-a336301e657d'>application/json</option>
</select>object  requestIdstring    

A Gong request reference Id, generated for this request. Can be used for troubleshooting purposes.

Example4al018gzaztcr8nbukw
errors Array of string   

Error messages.

Example[
  "An error has occurred"
]string
